SystemOrganization addCategory: #TusLibros!

TestCase subclass: #TusLibrosTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TusLibros'!

!TusLibrosTest methodsFor: 'as yet unclassified' stamp: 'KevinKujawski 5/27/2013 21:45'!
test01NewCartShouldBeEmpty
	| newCart |
	newCart := Cart create.
	self assert: newCart listProducts = Bag new.! !

!TusLibrosTest methodsFor: 'as yet unclassified' stamp: 'KevinKujawski 5/27/2013 21:38'!
test02CartShouldListProductAfterAdded
	| newCart newProduct bag|
	newCart := Cart new.
	newProduct := Product new.
	newCart add: newProduct.
	bag := newCart listProducts.
	self assert: (bag includes: newProduct ).! !

!TusLibrosTest methodsFor: 'as yet unclassified' stamp: 'KevinKujawski 5/29/2013 18:56'!
test02bQuantityShouldIncreaseInOne
	| newCart firstQuantity newProduct|
	newCart := Cart new.
	newProduct := Product new.
	firstQuantity := newCart quantity: newProduct.
	newCart add: newProduct.
	self assert: ((firstQuantity + 1) = (newCart quantity: newProduct)).! !

Object subclass: #Cart
	instanceVariableNames: 'bag'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TusLibros'!

!Cart class methodsFor: 'as yet unclassified' stamp: 'KevinKujawski 5/27/2013 21:45'!
create
	^Cart new initialize.! !

!Cart methodsFor: 'as yet unclassified' stamp: 'KevinKujawski 5/29/2013 18:53'!
add: aProduct
	bag add: aProduct.! !

!Cart methodsFor: 'as yet unclassified' stamp: 'KevinKujawski 5/27/2013 21:45'!
initialize
	bag := Bag new.! !

!Cart methodsFor: 'as yet unclassified' stamp: 'KevinKujawski 5/27/2013 21:40'!
listProducts
	^ bag.! !

!Cart methodsFor: 'as yet unclassified' stamp: 'KevinKujawski 5/29/2013 18:56'!
quantity: aProduct
	^bag occurrencesOf: aProduct.! !

Object subclass: #Product
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TusLibros'!
